// THIS IS OSCILATOR
module OSC_V();
input x;
output y;

  wire A,B,C;

  // inputs
  assign A = x;

  // circuit
  and AND2_0(C,A,B);
  not NOT_0(B,C);

  // outputs (internal wires must not be used as outputs)
  assign y = C;

endmodule
